unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  VSSOutlook, StdCtrls, VSSOutlookMail, VSSOutLookContact,
  VSSOutlookAppointment, VSSOutlookTask, Buttons;

type
  TForm1 = class(TForm)
    VSSOutlookMail1: TVSSOutlookMail;
    VSSOutLookContact1: TVSSOutLookContact;
    VSSOutlookAppointment1: TVSSOutlookAppointment;
    VSSOutlookTask1: TVSSOutlookTask;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    Button1: TButton;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
 VSSOutlookMail1.Recipients.add('support@vss.co.nz');
 VSSOutlookMail1.Recipients.add('odette@vss.co.nz');
 VSSOutlookMail1.MessageBody.add('A User Has sent you an email');
 VSSOutlookMail1.Display:=True;
 VSSOutlookMail1.Subject:='Email Test';
 VSSOutlookMail1.CC:=1;  // 1 is = to 0 in the recipients list
 VSSOutlookMail1.BCC:=0;  // 0= no BCC
 VSSOutlookMail1.HTMLMessage:=False;
 VSSOutlookMail1.CreateMessage;

end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  VSSOutLookContact1.Display :=true;
  VSSOutLookContact1.Fullname :='Jeremy Coulter';
  VSSOutLookContact1.JobTitle :='Manager';
  VSSOutLookContact1.Gender :=gMale;
  VSSOutLookContact1.Nickname :='Jimbo';
  VSSOutLookContact1.CompanyName :='Visual Software Solutions';
  VSSOutLookContact1.Email1Address := 'vss@vss.co.nz';
  VSSOutLookContact1.BusinessAddressStreet :='110 Harewood Road';
  VSSOutLookContact1.BusinessAddressCity :='Christchurch';
  VSSOutLookContact1.MobileTelephoneNumber :='021-2150435';
  VSSOutLookContact1.BusinessTelephoneNumber :='03-3521595';
  VSSOutLookContact1.BusinessFaxNumber :='03-3521596';
  VSSOutLookContact1.HomeTelephoneNumber :='03-3521595';
  VSSOutLookContact1.Notes.add('Nice Guy');
  VSSOutLookContact1.WebPage :='http://www.vss.co.nz/';
  VSSOutLookContact1.CreateContact;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
VSSOutlookAppointment1.MeetingStatus :=oMeeting;
 VSSOutlookAppointment1.Subject :='Software Design';
 VSSOutlookAppointment1.Location :='Board Room';
 VSSOutlookAppointment1.StartDate :=strtodate('8/1/98');
 VSSOutlookAppointment1.StartTime :='10:0:00 AM';  //you can also just do '10'
 VSSOutlookAppointment1.Duration :=35;  //this also sets the finish time
 VSSOutlookAppointment1.MessageBody.add('Bring yor Cheque Book');
 VSSOutlookAppointment1.Recipients.add('vss@vss.co.nz');
 VSSOutlookAppointment1.RequiredAttendees.add('odette@vss.co.nz');
 VSSOutlookAppointment1.Display:=true;
 VSSOutlookAppointment1.ReminderBeforeStart:=15;  //15 mins
// VSSOutlookAppointment1.Sensitivity :=oNormal;
 VSSOutlookAppointment1.OptionalAttendees.add('you@yourweb.co.nz');
 VSSOutlookAppointment1.CreateAppointment;
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
 VSSOutlookTask1.Display:=true;
 VSSOutlookTask1.TaskMessage.add('Get Software Completed on Time');
 VSSOutlookTask1.TaskCompleted:=False;
 VSSOutlookTask1.Importance:=oImportanceHigh;
 VSSOutlookTask1.Recipients.add('support@vss.co.nz');
 VSSOutlookTask1.Sensitivity:=oConfidential;
 VSSOutlookTask1.Status:=oTaskInProgress;
 VSSOutlookTask1.Subject:='Software Completeion';
 VSSOutlookTask1.TeamTask:=true;
 VSSOutlookTask1.StartDate:=strtodate('8/7/98');
 VSSOutlookTask1.StartTime:='10:00:00 AM';
 VSSOutlookTask1.DueDate:=strtodate('10/7/98');
 VSSOutlookTask1.createTask;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
 msg:TStrings;
begin
 msg:=TStringList.create;
 msg.add('Welcome to the Visual Software Solutions Outlook Components.');
 msg.add(' ');
 msg.add('The idea of these components is to help you interface Delphi with Outlook.');
 msg.add('The nice thing with these components is, that they only create an instance');
 msg.add('of the outlook item and dont open outlook to do what you are trying to do.');
 msg.add(' ');
 msg.add('I have tried to make the demo as easy to follow as I can, but if you have');
 msg.add('a problem or a question, email me at : support@vss.co.nz.');
 msg.add(' ');
 msg.add('I am constantly developing these components, and I have targeted the main');
 msg.add('or core parts of Outlook that I expect you to be using.');
 msg.add('');
 msg.add('These components are NOT freeware. For information on registering, please');
 msg.add('email me a at the above address, and I will let you know what the deal is.');
 msg.add(' ');
 msg.add('Cheers, Jeremy Coulter (manager) Visual Software Solutions.');
 messagedlg(msg.text,mtInformation,[mbOk],0);
 msg.free;
end;

end.
